Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual
Class VirtualNode

    java.lang.Object
      com.bea.content.virtual.VirtualNode

All Implemented Interfaces:
  Serializable

public class VirtualNode
extends Object
implements Serializable

A Virtual Node represents an element in a virtual hieararchy.

See Also:
  Serialized Form

Field Summary
`protected String[]` | `assignedToRoles`
`protected String` | `assignedToUser`
`protected Version` | `currentVersion`
`protected ID` | `id`
`protected boolean` | `isLocked`
`protected String` | `name`
`protected String` | `objectClassId`

Constructor Summary
`VirtualNode()`

Method Summary
`String[]` | `getAssignedToRoles()` Gets the role the Node is assigned to.
`String` | `getAssignedToUser()`
`Version` | `getCurrentVersion()` Gets the latest version, if the user requesting the operation has a working version of the Node then that will be returned.
`ID` | `getId()` Gets the id, including the repository name and uid.
`String` | `getName()`
`String` | `getObjectClassId()`
`boolean` | `isLocked()` Gets the user id who has the lock.
`void` | `setObjectClassId(String objectClassId)`
`String` | `toString()` Returns the attributes of this Node in a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### assignedToRoles

    protected String[] assignedToRoles

### assignedToUser

    protected String assignedToUser

### currentVersion

    protected Version currentVersion

### id

    protected ID id

### isLocked

    protected boolean isLocked

### name

    protected String name

### objectClassId

    protected String objectClassId

Constructor Detail

### VirtualNode

    public VirtualNode()

Method Detail

### getAssignedToRoles

    public String[] getAssignedToRoles()

  Gets the role the Node is assigned to.

### getAssignedToUser

    public String getAssignedToUser()

### getCurrentVersion

    public Version getCurrentVersion()

  Gets the latest version, if the user requesting the operation has a working version of the Node then that will be returned.

### getId

    public ID getId()

  Gets the id, including the repository name and uid.

### getName

    public String getName()

### getObjectClassId

    public String getObjectClassId()

### isLocked

    public boolean isLocked()

  Gets the user id who has the lock. Returns null if the Node is not locked.

### setObjectClassId

    public void setObjectClassId(String objectClassId)

### toString

    public String toString()

  Returns the attributes of this Node in a String.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved